package com.jg.framework.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.jdbc.datasource.DataSourceTransactionManager;
import org.springframework.transaction.PlatformTransactionManager;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import javax.sql.DataSource;

/**
 * TransactionConfig
 *
 * @author huangge1199
 * @since 2024/10/11 13:34:56
 */
@Configuration
@EnableTransactionManagement
public class TransactionConfig {

    @Bean
    public PlatformTransactionManager mysqlTransactionManager(DataSource mysqlDataSource) {
        return new DataSourceTransactionManager(mysqlDataSource);
    }

    @Bean
    public PlatformTransactionManager tdengineTransactionManager(DataSource tdengineDataSource) {
        DataSourceTransactionManager transactionManager = new DataSourceTransactionManager(tdengineDataSource);
        transactionManager.setRollbackOnCommitFailure(false); // 禁用自动回滚
        return transactionManager;
    }
}
